Bug 354301 - failure if work/i386/docs exists
failure if work/i386/docs exists
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: pungi (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-26 11:37 EDT by Thomas Fitzsimmons
Modified: 2013-01-09 20:42 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 15:35:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Fitzsimmons 2007-10-26 11:37:38 EDT
Description of problem:

Traceback (most recent call last):
  File "/usr/bin/pungi", line 178, in <module>
    main()
  File "/usr/bin/pungi", line 82, in main
    mypungi.doGetRelnotes()
  File "/usr/lib/python2.5/site-packages/pypungi/pungi.py", line 181, in
doGetRelnotes
    os.makedirs(docsdir)
  File "/usr/lib/python2.5/os.py", line 172, in makedirs
    mkdir(name, mode)
OSError: [Errno 17] File exists: '/root/work/i386/docs'

Version-Release number of selected component (if applicable):

pungi-1.1.7-1.fc8

Steps to Reproduce:
1. create work/i386/docs in a directory
2. run in that directory: pungi -c /usr/share/pungi/f8-fedora.ks --nosource

pungi should either not treat a preexisting directory as an error or exit on
startup if the directory exists.
Comment 1 Thomas Fitzsimmons 2007-10-26 11:39:29 EDT
Log line just before the traceback:

Pungi.Pungi:INFO: Running /usr/lib/anaconda-runtime/buildinstall --product
Fedora --version 20071025 --release Fedora 20071025 --prodpath Packages --bugurl
http://bugzilla.redhat.com /root/20071025/i386/os
Comment 2 Jesse Keating 2007-11-15 15:35:40 EST
This is being tracked as https://hosted.fedoraproject.org/projects/pungi/ticket/46

Note You need to log in before you can comment on or make changes to this bug.